diff -urN oo_1.0.1_src.orig/sc/source/filter/excel/XclExpCharts.cxx oo_1.0.1_src/sc/source/filter/excel/XclExpCharts.cxx
--- oo_1.0.1_src.orig/sc/source/filter/excel/XclExpCharts.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/excel/XclExpCharts.cxx	Fri Jul 12 09:52:47 2002
@@ -323,7 +323,7 @@
 {
 	switch( nCharSet )
 	{
-		case awt::CharSet::ANSI:		return RTL_TEXTENCODING_MS_1252;
+		case awt::CharSet::ANSI:		return RTL_TEXTENCODING_MS_1250;
 		case awt::CharSet::MAC:			return RTL_TEXTENCODING_APPLE_ROMAN;
 		case awt::CharSet::IBMPC_437:	return RTL_TEXTENCODING_IBM_437;
 		case awt::CharSet::IBMPC_850:	return RTL_TEXTENCODING_IBM_850;
diff -urN oo_1.0.1_src.orig/sc/source/filter/excel/XclImpStyleBuffer.cxx oo_1.0.1_src/sc/source/filter/excel/XclImpStyleBuffer.cxx
--- oo_1.0.1_src.orig/sc/source/filter/excel/XclImpStyleBuffer.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/excel/XclImpStyleBuffer.cxx	Fri Jul 12 09:52:47 2002
@@ -385,8 +385,8 @@
     CharSet eScCharSet;
     switch( nXclCharSet )
 	{
-        case EXC_FONTCSET_MS_1252:  eScCharSet = RTL_TEXTENCODING_MS_1252;  break;
-        case EXC_FONTCSET_IBM_850:  eScCharSet = RTL_TEXTENCODING_IBM_850;  break;
+        case EXC_FONTCSET_MS_1250:  eScCharSet = RTL_TEXTENCODING_MS_1250;  break;
+        case EXC_FONTCSET_IBM_852:  eScCharSet = RTL_TEXTENCODING_IBM_852;  break;
         case EXC_FONTCSET_SYMBOL:   eScCharSet = RTL_TEXTENCODING_SYMBOL;   break;
         default:                    eScCharSet = ScfTools::GetSystemCharSet();
 	}
diff -urN oo_1.0.1_src.orig/sc/source/filter/excel/biffdump.cxx oo_1.0.1_src/sc/source/filter/excel/biffdump.cxx
--- oo_1.0.1_src.orig/sc/source/filter/excel/biffdump.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/excel/biffdump.cxx	Fri Jul 12 09:52:47 2002
@@ -104,7 +104,7 @@
 #include "imp_op.hxx"
 #endif
 
-#define GETSTR(s)		ByteString( s, RTL_TEXTENCODING_MS_1252 )
+#define GETSTR(s)		ByteString( s, RTL_TEXTENCODING_MS_1250 )
 
 static ByteString		aDefaultName;
 
@@ -555,7 +555,7 @@
         rStr += ", FarEast";
     rStr += ")]: \'";
 
-    ByteString aData( rStrm.ReadRawUniString( nLen, b16Bit ), RTL_TEXTENCODING_MS_1252 );
+    ByteString aData( rStrm.ReadRawUniString( nLen, b16Bit ), RTL_TEXTENCODING_MS_1250 );
 
     xub_StrLen nIndex = 0;
     while( (nIndex < aData.Len()) && (nIndex < 255) )
@@ -4359,7 +4359,7 @@
 	Print( sOutput );
 
 	XclImpStream* pOldStream = pIn;
-    CharSet eCharSet = RTL_TEXTENCODING_MS_1252;
+    CharSet eCharSet = RTL_TEXTENCODING_MS_1250;
     pIn = new XclImpStream( *pStream, &eCharSet );
 	XclImpStream& rIn = *pIn;
 	rIn.SetWarningMode( bWarnings );
diff -urN oo_1.0.1_src.orig/sc/source/filter/excel/excrecds.cxx oo_1.0.1_src/sc/source/filter/excel/excrecds.cxx
--- oo_1.0.1_src.orig/sc/source/filter/excel/excrecds.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/excel/excrecds.cxx	Fri Jul 12 09:52:47 2002
@@ -783,6 +783,7 @@
 	{
 		case RTL_TEXTENCODING_DONTKNOW:		return EXC_FONTCSET_DONTKNOW;
 		case RTL_TEXTENCODING_MS_1252:		return EXC_FONTCSET_MS_1252;
+		case RTL_TEXTENCODING_MS_1250:		return EXC_FONTCSET_MS_1250;
 		case RTL_TEXTENCODING_APPLE_ROMAN:	return EXC_FONTCSET_APPLE_ROMAN;
 		case RTL_TEXTENCODING_IBM_437:		return EXC_FONTCSET_IBM_437;
 		case RTL_TEXTENCODING_IBM_850:		return EXC_FONTCSET_IBM_850;
diff -urN oo_1.0.1_src.orig/sc/source/filter/excel/impop.cxx oo_1.0.1_src/sc/source/filter/excel/impop.cxx
--- oo_1.0.1_src.orig/sc/source/filter/excel/impop.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/excel/impop.cxx	Fri Jul 12 09:52:47 2002
@@ -186,7 +186,7 @@
 
 
 ImportExcel::ImportExcel( SvStream& aStream, ScDocument* pDoc ):
-	ImportTyp( aStream, pDoc, RTL_TEXTENCODING_MS_1252 ),
+	ImportTyp( aStream, pDoc, RTL_TEXTENCODING_MS_1250 ),
 	aColOutlineBuff( MAXCOL + 1 ),
 	aRowOutlineBuff( MAXROW + 1 )
 {
@@ -960,7 +960,7 @@
 			break;
 		case 0x04E4:	// ANSI (Windows ) Biff4+5
 		case 0x8001:	// ANSI (Windows ) Biff2+3
-			eQuellChar = RTL_TEXTENCODING_MS_1252;
+			eQuellChar = RTL_TEXTENCODING_MS_1250;
 			break;
 	}
 }
diff -urN oo_1.0.1_src.orig/sc/source/filter/inc/excdefs.hxx oo_1.0.1_src/sc/source/filter/inc/excdefs.hxx
--- oo_1.0.1_src.orig/sc/source/filter/inc/excdefs.hxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/inc/excdefs.hxx	Fri Jul 12 09:52:47 2002
@@ -263,9 +263,11 @@
 // charsets
 #define EXC_FONTCSET_DONTKNOW		0x00
 #define EXC_FONTCSET_MS_1252		0x00
+#define EXC_FONTCSET_MS_1250            0x00
 #define EXC_FONTCSET_APPLE_ROMAN	0x00
 #define EXC_FONTCSET_IBM_437		0x00
 #define EXC_FONTCSET_IBM_850		0xFF
+#define EXC_FONTCSET_IBM_852            0xFF
 #define EXC_FONTCSET_IBM_860		0x00
 #define EXC_FONTCSET_IBM_861		0x00
 #define EXC_FONTCSET_IBM_863		0x00
diff -urN oo_1.0.1_src.orig/sc/source/filter/starcalc/scflt.cxx oo_1.0.1_src/sc/source/filter/starcalc/scflt.cxx
--- oo_1.0.1_src.orig/sc/source/filter/starcalc/scflt.cxx	Tue Jul  9 17:08:04 2002
+++ oo_1.0.1_src/sc/source/filter/starcalc/scflt.cxx	Fri Jul 12 09:52:47 2002
@@ -118,7 +118,7 @@
 
 using namespace com::sun::star;
 
-#define	DEFCHARSET			RTL_TEXTENCODING_MS_1252
+#define	DEFCHARSET			RTL_TEXTENCODING_MS_1250
 
 #define SC10TOSTRING(p)		String(p,DEFCHARSET)
 
